## org.emboss.jemboss.soap
Class PendingResults

    java.lang.Object
      |
      +--org.emboss.jemboss.soap.PendingResults

public class PendingResults
extends java.lang.Object

Field Summary
`(package private) java.awt.Cursor` `cbusy`
`(package private) java.awt.Cursor` `cdone`

Constructor Summary
`PendingResults(uk.ac.mrc.hgmp.embreo.EmbreoParams mysettings)`

Method Summary
`void` `addResult(JembossProcess res)`
`java.util.Hashtable` `descriptionHash()`
`java.lang.String` `getCurrent()` Gives which of the available datasets is currently being looked at by the gui
`JembossProcess` `getResult(java.lang.String s)`
`java.lang.String` `getStatus()`
`boolean` `isAutoUpdate()`
`java.lang.String` `jobStatus()`
`int` `numCompleted()`
`int` `numRunning()`
`void` `removeResult(JembossProcess res)`
`void` `resetCount()`
`void` `setAutoUpdate(boolean b)`
`void` `setCurrent(java.lang.String s)` Save the name of a dataset, marking it as the current dataset
`void` `showPendingResults(javax.swing.JFrame f)`
`java.util.Hashtable` `statusHash()`
`javax.swing.JPanel` `statusPanel(javax.swing.JFrame f)` A panel with appropriate gadgets to show the status of any jobs and to view them, and to set the mode.
`void` `updateJobStats()`
`void` `updateMode()` Updates the mode on the combo box to reflect the current state
`void` `updateMode(java.lang.String s)` Updates the mode on the combo box to reflect the requested value
`void` `updateStatus()` Connect to the embreo server, and update the status of the jobs in the list.

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### cbusy

    final java.awt.Cursor cbusy

### cdone

    final java.awt.Cursor cdone

Constructor Detail

### PendingResults

    public PendingResults(uk.ac.mrc.hgmp.embreo.EmbreoParams mysettings)

Method Detail

### numCompleted

    public int numCompleted()

### numRunning

    public int numRunning()

### resetCount

    public void resetCount()

### addResult

    public void addResult(JembossProcess res)

### removeResult

    public void removeResult(JembossProcess res)

### getCurrent

    public java.lang.String getCurrent()

  Gives which of the available datasets is currently being looked at by the gui

### setCurrent

    public void setCurrent(java.lang.String s)

  Save the name of a dataset, marking it as the current dataset
  Parameters:
    `s` - The name of the dataset

### getResult

    public JembossProcess getResult(java.lang.String s)

  Parameters:
    `s` - The name of the dataset
  Returns:
    the process object

### descriptionHash

    public java.util.Hashtable descriptionHash()

### statusHash

    public java.util.Hashtable statusHash()

### updateJobStats

    public void updateJobStats()

### jobStatus

    public java.lang.String jobStatus()

### updateStatus

    public void updateStatus()

  Connect to the embreo server, and update the status of the jobs in the list. If a statusPanel is active, updates the text on that.

### isAutoUpdate

    public boolean isAutoUpdate()

  Returns:
    true if automatically updating status manager with BatchUpdateTimer thread

### setAutoUpdate

    public void setAutoUpdate(boolean b)

  Parameters:
    `true` - if automatically updating status manager with BatchUpdateTimer thread

### updateMode

    public void updateMode()

  Updates the mode on the combo box to reflect the current state

### updateMode

    public void updateMode(java.lang.String s)

  Updates the mode on the combo box to reflect the requested value

### statusPanel

    public javax.swing.JPanel statusPanel(javax.swing.JFrame f)

  A panel with appropriate gadgets to show the status of any jobs and to view them, and to set the mode.
  Parameters:
    `f` - The parent frame, to which dialogs will be attached.

### showPendingResults

    public void showPendingResults(javax.swing.JFrame f)

### getStatus

    public java.lang.String getStatus()

  Returns:
    job status text